#!/usr/bin/env python
# vim:fileencoding=utf-8
"""cursesandunicode.py

"""

import curses

def main(stdscr):
    sas = stdscr.addstr
    u = u"öäüß"
    # sas(0, 0, u"without encode(...):  " + u)
    sas(0, 0, u"without encode(...):  raises UnicodeEncodeError!")
    sas(1, 0, "with encode('utf8'):   " + u.encode('utf8'))
    sas(2, 0, "with encode('latin1'): " + u.encode('latin1'))
    sas(4, 0, "any key to exit")
    stdscr.refresh()
    stdscr.getch()

if __name__ == "__main__":
    curses.wrapper(main)
